Subject: Re: lack of libgen.h in Cygwin (dirname+basename). Solved? + statvfs.h
From: "Gerrit P. Haase" <[email-masked]>
To: "Luis Torres" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 8 Dec 2003 16:33:42 +0100

Luis wrote:

> Hello Gerrit, 

> Danke.Thanks for the hint. I downloaded it and it works fine (at least compile/linked without
> warnings ...). That is a much satisfactory solution. I had grabbed some code for dir/basename
> but they were non standard, and would oblige me to change the calls to those functions ...
> Now a more philosophical point: will libgen be part of the official
> distribution?. I would like to write
> a note to the developers of BHP_SU, about how to include Cygwin alongside IRIX, ... and that
> is important to know, to avoid others from having the same problems I did.

I'm not sure about the license of the code I used, IIRC it is some kind
of BSD license.  If this is true tou may take the source and contribute
it to newlib which is the C library used by the Cygwin project.

> So maybe you know the answer to this, too. The original BHP package used statvfs.h, but in Cygwin
> that -> statfs.h . I did change that, then realized I also had to
> change the references to the struct
> from statvfs to statfs, but f_frsize does not exist in statfs.h,
> and I replaced it with f_bsize, which
> seemed the closest match (optimal block size, fundamental block size). Is that right?

No, sorry I cannot help you with this, it is probably the best to start
another thread with this issue. 

> The BHP_SU_V5.0 code compiles and runs, now, thanks to your input. But it is a complex 3-tierd
> thing: Seismix Unix v3.6+ BHP_SU_V5.0+BHPViewer (java). The viewer uses a shell script, which
> invokes java and passes CLASSPATH and other PATH (for the routines themselves, in the layers
> bellow, that do the work). Apparently in Cygwin one uses the Windows Java VM. I changed the
> /: for \; in CLASSPATH and it launched. I did not change the other (BINPATH, ...) from their Unix
> style, because they will be called from within the Cygwin bash shell, but have yet to test this.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/